XMLEventFactory (XML Standard API)
Date: 2018-10-17

javax.xml.stream

## Class XMLEventFactory

- java.lang.Object
- - javax.xml.stream.XMLEventFactory

-     public abstract class XMLEventFactory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XMLEventFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Attribute` | `createAttribute(QName name, java.lang.String value)`
    `abstract Attribute` | `createAttribute(java.lang.String localName, java.lang.String value)`
    `abstract Attribute` | `createAttribute(java.lang.String prefix, java.lang.String namespaceURI, java.lang.String localName, java.lang.String value)`
    `abstract Characters` | `createCData(java.lang.String content)`
    `abstract Characters` | `createCharacters(java.lang.String content)`
    `abstract Comment` | `createComment(java.lang.String text)`
    `abstract DTD` | `createDTD(java.lang.String dtd)`
    `abstract EndDocument` | `createEndDocument()`
    `abstract EndElement` | `createEndElement(QName name, java.util.Iterator namespaces)`
    `abstract EndElement` | `createEndElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName)`
    `abstract EndElement` | `createEndElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName, java.util.Iterator namespaces)`
    `abstract EntityReference` | `createEntityReference(java.lang.String name, EntityDeclaration declaration)`
    `abstract Characters` | `createIgnorableSpace(java.lang.String content)`
    `abstract Namespace` | `createNamespace(java.lang.String namespaceUri)`
    `abstract Namespace` | `createNamespace(java.lang.String prefix, java.lang.String namespaceUri)`
    `abstract ProcessingInstruction` | `createProcessingInstruction(java.lang.String target, java.lang.String data)`
    `abstract Characters` | `createSpace(java.lang.String content)`
    `abstract StartDocument` | `createStartDocument()`
    `abstract StartDocument` | `createStartDocument(java.lang.String encoding)`
    `abstract StartDocument` | `createStartDocument(java.lang.String encoding, java.lang.String version)`
    `abstract StartDocument` | `createStartDocument(java.lang.String encoding, java.lang.String version, boolean standalone)`
    `abstract StartElement` | `createStartElement(QName name, java.util.Iterator attributes, java.util.Iterator namespaces)`
    `abstract StartElement` | `createStartElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName)`
    `abstract StartElement` | `createStartElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName, java.util.Iterator attributes, java.util.Iterator namespaces)`
    `abstract StartElement` | `createStartElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName, java.util.Iterator attributes, java.util.Iterator namespaces, NamespaceContext context)`
    `static XMLEventFactory` | `newInstance()`
    `static XMLEventFactory` | `newInstance(java.lang.String factoryId, java.lang.ClassLoader classLoader)`
    `abstract void` | `setLocation(Location location)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLEventFactory

          protected XMLEventFactory()

  - ### Method Detail

    - #### newInstance

          public static XMLEventFactory newInstance()
                                             throws FactoryConfigurationError

      Throws:
        `FactoryConfigurationError`

    - #### newInstance

          public static XMLEventFactory newInstance(java.lang.String factoryId,
                                                    java.lang.ClassLoader classLoader)
                                             throws FactoryConfigurationError

      Throws:
        `FactoryConfigurationError`

    - #### setLocation

          public abstract void setLocation(Location location)

    - #### createAttribute

          public abstract Attribute createAttribute(QName name,
                                                    java.lang.String value)

    - #### createAttribute

          public abstract Attribute createAttribute(java.lang.String localName,
                                                    java.lang.String value)

    - #### createAttribute

          public abstract Attribute createAttribute(java.lang.String prefix,
                                                    java.lang.String namespaceURI,
                                                    java.lang.String localName,
                                                    java.lang.String value)

    - #### createNamespace

          public abstract Namespace createNamespace(java.lang.String namespaceUri)

    - #### createNamespace

          public abstract Namespace createNamespace(java.lang.String prefix,
                                                    java.lang.String namespaceUri)

    - #### createStartElement

          public abstract StartElement createStartElement(QName name,
                                                          java.util.Iterator attributes,
                                                          java.util.Iterator namespaces)

    - #### createStartElement

          public abstract StartElement createStartElement(java.lang.String prefix,
                                                          java.lang.String namespaceUri,
                                                          java.lang.String localName)

    - #### createStartElement

          public abstract StartElement createStartElement(java.lang.String prefix,
                                                          java.lang.String namespaceUri,
                                                          java.lang.String localName,
                                                          java.util.Iterator attributes,
                                                          java.util.Iterator namespaces)

    - #### createStartElement

          public abstract StartElement createStartElement(java.lang.String prefix,
                                                          java.lang.String namespaceUri,
                                                          java.lang.String localName,
                                                          java.util.Iterator attributes,
                                                          java.util.Iterator namespaces,
                                                          NamespaceContext context)

    - #### createEndElement

          public abstract EndElement createEndElement(QName name,
                                                      java.util.Iterator namespaces)

    - #### createEndElement

          public abstract EndElement createEndElement(java.lang.String prefix,
                                                      java.lang.String namespaceUri,
                                                      java.lang.String localName)

    - #### createEndElement

          public abstract EndElement createEndElement(java.lang.String prefix,
                                                      java.lang.String namespaceUri,
                                                      java.lang.String localName,
                                                      java.util.Iterator namespaces)

    - #### createCharacters

          public abstract Characters createCharacters(java.lang.String content)

    - #### createCData

          public abstract Characters createCData(java.lang.String content)

    - #### createSpace

          public abstract Characters createSpace(java.lang.String content)

    - #### createIgnorableSpace

          public abstract Characters createIgnorableSpace(java.lang.String content)

    - #### createStartDocument

          public abstract StartDocument createStartDocument()

    - #### createStartDocument

          public abstract StartDocument createStartDocument(java.lang.String encoding)

    - #### createStartDocument

          public abstract StartDocument createStartDocument(java.lang.String encoding,
                                                            java.lang.String version)

    - #### createStartDocument

          public abstract StartDocument createStartDocument(java.lang.String encoding,
                                                            java.lang.String version,
                                                            boolean standalone)

    - #### createEndDocument

          public abstract EndDocument createEndDocument()

    - #### createEntityReference

          public abstract EntityReference createEntityReference(java.lang.String name,
                                                                EntityDeclaration declaration)

    - #### createComment

          public abstract Comment createComment(java.lang.String text)

    - #### createProcessingInstruction

          public abstract ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                                            java.lang.String data)

    - #### createDTD

          public abstract DTD createDTD(java.lang.String dtd)

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.